Skip to main content
`Ctrl`+`K`

# EPSConvergedReasonView

Displays the reason an `EPS` solve converged or diverged.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSConvergedReasonView(EPS eps,PetscViewer viewer)

Collective

## Input Parameters

- eps - the linear eigensolver context

- viewer - the viewer to display the reason

## Options Database Key

- -eps_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

Use `EPSConvergedReasonViewFromOptions()` to display the reason based on values in the options database.

To change the format of the output call `PetscViewerPushFormat()` before this call. Use `PETSC_VIEWER_DEFAULT` for the default, or `PETSC_VIEWER_FAILED` to only display a reason if it fails. The latter can be set in the command line with `-eps_converged_reason ::failed`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetConvergenceTest()`, `EPSSetTolerances()`, `EPSGetIterationNumber()`, `EPSConvergedReasonViewFromOptions()`

## Level

intermediate

## Location

src/eps/interface/epsview.c

## Examples

src/eps/tutorials/ex30.c
src/eps/tutorials/ex2.c
src/eps/tutorials/ex46.c
src/eps/tutorials/ex55.c
src/eps/tutorials/ex29.c
src/eps/tutorials/ex11.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex18.c
src/eps/tutorials/ex56.c
src/eps/tutorials/ex5.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages